# List Comprehensions
# Kompakte Schreibweise um Listen zu erstellen
manuellErstellteListe = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]
print(manuellErstellteListe)

initialeListe = [zahl for zahl in range(10)]
print(initialeListe)

# Liste aus den quadrierten Einträgen der initialen liste erstellen.
quadriert1 = []
for zahl in initialeListe:
	quadriert1.append(zahl ** 2)
print(quadriert1)

quadriert2 = [zahl ** 2 for zahl in initialeListe]
print(quadriert2)

# Liste aller ungeraden Einträge der initialen Liste erstellen
ungerade1 = []
for zahl in initialeListe:
	if zahl % 2 != 0:
		ungerade1.append(zahl)
print(ungerade1)

ungerade2 = [zahl for zahl in initialeListe if zahl % 2 != 0]
print(ungerade2)

# Liste aus allen Kombinationen der Elemente aus zwei anderen Liste erstellen
kombiniert1 = []
for zahl in initialeListe:
	for buchstabe in "abc":
		kombiniert1.append((zahl, buchstabe))
print(kombiniert1)

kombiniert2 = [(zahl, buchstabe) for zahl in initialeListe for buchstabe in "abc"]
print(kombiniert2)
