import warnings
warnings.simplefilter(action='ignore', category=FutureWarning)

# matplotlib - Visualisierung von Daten

# Installation
# pip install matplotlib

# Importieren
from matplotlib import pyplot
import pandas as pd

# Linienchart
# Datenreihen definieren
xDaten = [zahl for zahl in range(-3, 8, 1)]
yDaten = [zahl ** 2 for zahl in range(-3, 8, 1)]
yDaten2 = [zahl * 5 for zahl in range(-3, 8, 1)] 

# Datenreihen zu Diagramm hinzufügen
pyplot.plot(xDaten, yDaten)
pyplot.plot(xDaten, yDaten2)

# Diagramm Beschriftungen
pyplot.title("Diagramm Titel")
pyplot.xlabel("x Achse")
pyplot.ylabel("y Achse")

# Diagramm anzeigen
pyplot.show()


# Tortendiagramm
# Daten laden
csvDaten = pd.read_csv(r"Daten\LithiumFoerderung2019.csv", sep=",")
datenOhneSumme = csvDaten[csvDaten["Thousand tonnes of Lithium content"] != "Total World"]
laender = datenOhneSumme["Thousand tonnes of Lithium content"]
foerderung = datenOhneSumme["2019"]

# Datenreihen zu Diagramm hinzufügen
pyplot.pie(foerderung, labels = laender)

# Diagramm anzeigen
pyplot.show()
