# Operationen

# in - Test ob eine Teilmenge enthalten ist
print("a" in "Hallo =)")
print(2 in [1, 2, 3, 4, 5])
print(2 not in [1, 2, 3, 4, 5])
print("=)" in ["Hello", "World", "=)"])
print("e" in ["Hello", "World", "=)"])
print(2 in {1: ["Felix", "1988-09-21", 90000], 2: ["Mareike", "1992-11-24", 59000]})
print(59000 in {1: ["Felix", "1988-09-21", 90000], 2: ["Mareike", "1992-11-24", 59000]})
#print(2 in 123)		# int ist eine einzige Zahl und kann nicht iteriert werden


# is - Vergleich ob es sich um das gleiche Objekt handelt
# 1) Referenz auf bestehende Liste
listeVonIntegers = [1, 2, 3]
kopierteListe = listeVonIntegers
print(kopierteListe == listeVonIntegers)	# vergleicht Werte der Objekte
print(kopierteListe is listeVonIntegers)	# vergleicht ob es sich um das gleiche Objekt handelt

# 2) Kopie einer Liste
kopierteListe2 = listeVonIntegers[:]
print(kopierteListe2 == listeVonIntegers)
print(kopierteListe2 is listeVonIntegers)

zahl1 = 21
zahl2 = None
if type(zahl1) is int:
	if zahl2 is not None:
		summe = zahl1 + zahl2


# += - Zu bestehenden Wert dazu addieren
zahl1 = zahl1 + 3
print(zahl1)

zahl1 += 3
print(zahl1)

i = 0
while i < 5:
	print(i)
	i += 1	# In Python gibt es keinen "++" Operator


# *= - Bestehenden Wert summieren
zahl1 *= 2
print(zahl1)
