# Exceptions

# logging
import logging


logging.basicConfig(filename="LogFileName.log", level=logging.INFO, format="%(asctime)s; %(levelname)s; %(message)s")


# Exception Typen
def TestFunktion(variable1, variable2):
    try:
        print("Test Funktion wir ausgeführt.")
        print(int(variable1 / variable2))

    except TypeError as ex:
        logging.exception(ex)
        print(ex)
    except Exception as ex:
        logging.exception(ex)
        print(ex)

    finally:
        print("Code der immer ausgeführt wird, unabhängig davon ob Exception ausgelöst wurde oder nicht.")


# Eigene Exception auslösen.
def EigeneExceptionAusloesen(exceptionWennNone):
    try:
        # Prüfung auf None bevor Variablen Wert zur Verarbeitung abgefragt wird.
        if exceptionWennNone is not None:
            print("Funktion wird ausgeführt.")
        else:
            raise Exception("Argument darf nicht None sein.")

    except Exception as ex:
        logging.exception(ex)
        print(ex)


        
TestFunktion(10, 2)
TestFunktion(1, None)
TestFunktion(1, 0)
EigeneExceptionAusloesen(2)
EigeneExceptionAusloesen(None)
